//WINDOW BUILDER PROJECT MASTER SRC//
#include <WScom.h>
#include <WSDappDev.h>
#include <WSCbaseList.h>

#include <WSClocaleSet.h>

#ifdef MSW
WS_WINMAIN
#endif

char* mou[] = {
"0   IDC_ARROW",
NULL};

void _mouse_init_(){
  WSGFloadMouseCursorData(mou);
}

char* fon[] = {
"14,0,0,0,700,0,0,0,0,3,2,1,49,Courier New",
"15,0,0,0,700,0,0,0,0,3,2,1,49,Courier New",
"17,0,0,0,700,0,0,0,0,3,2,1,49,Courier New",
"19,0,0,0,400,0,0,0,1,3,2,1,1,Courier New",
"22,0,0,0,400,0,0,0,1,3,2,1,1,Courier New",
"24,0,0,0,400,0,0,0,1,3,2,1,1,Courier New",
"26,0,0,0,400,0,0,0,1,3,2,1,1,Courier New",
"34,0,0,0,400,0,0,0,1,3,2,1,1,Courier New",
NULL};

void _font_init_(){
  WSGFloadFontData(fon);
}
class _init_app_class_{
  public: _init_app_class_(){
    WSGFdeviceInitialize();
    WSGIappDev()->setInitHandler(_font_init_);
    WSGIappDev()->setInitHandler(_mouse_init_);
    WSGIappLocaleSet()->setDefaultEncoding(1);
    WSDappDev* app = WSGIappDev();
    app->setInstanceName("title");
  };
};
static _init_app_class_ _execute_app_class_;

//--- OBJECT execute auto initialize ---//
extern WSDLEX void _create_pic_newpic000();
class _initialize_window_0{
 public: _initialize_window_0(){
  WSGIappDev()->setInitHandler(_create_pic_newpic000);
 };
};
static _initialize_window_0 _execute_initialize_0;

